﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "LMItemDrop.h"


ALMItemDrop::ALMItemDrop()
{
	PrimaryActorTick.bCanEverTick = true;
	StaticMeshComponent = CreateDefaultSubobject<UStaticMeshComponent>("MeshComponent");
	RootComponent = StaticMeshComponent;
}

void ALMItemDrop::BeginPlay()
{
	Super::BeginPlay();
	GetWorldTimerManager().SetTimer(DespawnHandle, this, &ALMItemDrop::Despawn, TimeBeforeDespawn);
}

void ALMItemDrop::ConsumePack(ALMPlayer* Player)
{
}

void ALMItemDrop::Despawn()
{
	GetWorldTimerManager().ClearTimer(DespawnHandle);
	Destroy();
}

